import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'couponStatus'
})
export class CouponStatusPipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 0:
        return '删除';
      case 1:
        return '编辑中';
      case 2:
        return '已上架';
      case 3:
        return '已下架';
      case 101:
        return '上架审批中';
      case 102:
        return '上架审批驳回';
    }
  }
}
